summaryrefslogtreecommitdiffstats
path: root/games/ltris
diff options
context:
space:
mode:
author Bill Kirkpatrick2010-05-11 14:28:20 +0200
committer Michiel van Wessem2010-05-11 14:28:20 +0200
commitd11907445d1fe54bc65fb98fc5ced101bd80342e (patch)
tree8eeed0101333e199f0a22cba14b2d78aada5738f /games/ltris
parent4cce41897c16a2848575a189a251bf95dab44068 (diff)
downloadslackbuilds-d11907445d1fe54bc65fb98fc5ced101bd80342e.tar.gz
games/ltris: Initial import
Diffstat (limited to 'games/ltris')
-rw-r--r--games/ltris/README4
-rw-r--r--games/ltris/ltris.SlackBuild54
-rw-r--r--games/ltris/ltris.info8
-rw-r--r--games/ltris/slack-desc19
4 files changed, 85 insertions, 0 deletions
diff --git a/games/ltris/README b/games/ltris/README
new file mode 100644
index 0000000000..3fcf388dd5
--- /dev/null
+++ b/games/ltris/README
@@ -0,0 +1,4 @@
+LTris as a tetris clone which means you have a bowl with blocks
+falling down. By rotating and moving the blocks you try to
+to assemble whole lines which then disappear.
+LTris uses the sdl package.
diff --git a/games/ltris/ltris.SlackBuild b/games/ltris/ltris.SlackBuild
new file mode 100644
index 0000000000..b946e9b4cb
--- /dev/null
+++ b/games/ltris/ltris.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for LTris
+
+# Written by Bill Kirkpatrick <bkirkp@gmail.com>
+
+PRGNAM=ltris
+VERSION=1.0.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/ltris/ltris.info b/games/ltris/ltris.info
new file mode 100644
index 0000000000..afb366303a
--- /dev/null
+++ b/games/ltris/ltris.info
@@ -0,0 +1,8 @@
+PRGNAM="ltris"
+VERSION="1.0.11"
+HOMEPAGE="http://lgames.sourceforge.net/index.php?project=LTris"
+DOWNLOAD="http://prdownloads.sourceforge.net/lgames/ltris-1.0.11.tar.gz?download"
+MD5SUM="412ecd9b7577a5bbcb76e19b5397391c"
+MAINTAINER="Bill Kirkpatrick"
+EMAIL="bkirkp@gmail.com"
+APPROVED="BP{k}"
diff --git a/games/ltris/slack-desc b/games/ltris/slack-desc
new file mode 100644
index 0000000000..512a9f4a45
--- /dev/null
+++ b/games/ltris/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ltris:
+ltris:
+ltris: LTris as a tetris clone which means you have a bowl with blocks
+ltris: falling down. By rotating and moving the blocks you try to
+ltris: to assemble whole lines which then disappear.
+ltris:
+ltris:
+ltris: Homepage: http://lgames.sourceforge.net/
+ltris:
+ltris:
+ltris: